Home

# Class goog.ui.IframeMask

Controller for an iframe mask. The mask is only valid in the current document, or else the document of the given DOM helper.

extends goog.Disposable

Instance Method Summary
| `applyMask()` Applies the iframe mask to the screen.
| `disposeInternal()` Removes the iframe from the DOM.
| `getIframe_() ⇒ ?HTMLIFrameElement` Gets the iframe to use as a mask. Creates a new one if one has not been created yet.
| `hideMask()` Removes the mask from the screen.
| `listenOnTarget(?goog.events.EventTarget target, string showEvent, string hideEvent, ?Element= opt_snapElement)` Listens on the specified target, hiding and showing the iframe mask when the given event types are dispatched.
| `removeHandlers()` Removes all handlers attached by listenOnTarget.
| `setOpacity(number opacity)` Sets the opacity of the mask. Will take effect the next time the mask is applied.
| `setSnapElement(?Element snapElement)` Sets the element to use as the bounds of the mask. Takes effect immediately.
| `setZIndex(number zIndex)` Sets the z-index of the mask. Will take effect the next time the mask is applied.